Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface FileCollectionDependency

    org.gradle.api.Buildable
      org.gradle.api.artifacts.SelfResolvingDependency
          org.gradle.api.artifacts.FileCollectionDependency
              org.gradle.api.artifacts.Dependency

All Superinterfaces:
  Buildable, SelfResolvingDependency, Dependency

    public interface FileCollectionDependency
    extends SelfResolvingDependency

A `FileCollectionDependency` is a Dependency on a collection of local files which are not stored in a repository.

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary

Methods inherited from interface SelfResolvingDependency
resolve, resolve

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Gradle API 1.10